package com.upsfj.sfjprojectbackend.entity;

import jakarta.persistence.*;
import lombok.Data;
import org.springframework.data.relational.core.mapping.Table;

@Data
@Entity
@Table(name = "sfj_algorithm_field")
@IdClass(AlgorithmFieldId.class)

public class AlgorithmField {

    @Id
    @ManyToOne
    @JoinColumn(name = "algorithm_id")
    Algorithm algorithm;


    @Id
    @ManyToOne
    @JoinColumn(name = "field_id")
    Field field;

}
