package com.upsfj.sfjprojectbackend.entity;

import jakarta.persistence.*;
import lombok.Data;
import org.springframework.data.relational.core.mapping.Table;

@Data
@Entity
@Table(name = "sfj_algorithm_usecases")
@IdClass(AlgorithmUseCaseId.class)
public class AlgorithmUserCase {
    @Id
    @ManyToOne
    @JoinColumn(name = "algorithm_id")
    Algorithm algorithm;

    @Id
    @ManyToOne
    @JoinColumn(name = "usecase_id")
    UseCase usecase;


    @Column(columnDefinition = "TEXT")
    String description;

}
