// import { interceptors } from "node_modules/axios/index.cjs"

export interface ALgorithmInt{
    algorithm_id:number,
    algorithm_name:string,
    algorithm_description:string,
    fieldStr:string,
    userStr:string,
    fieldList:FieldInt[],
    useList:UseInt[],
    algorithm_img:string,
    algorithm_coder:string
}
interface selectDataInt{
    name:string,
    description:string,
    page:number,//页码
    count:number,//总条数
    pagesize:number,//默认一页显示几条
}
interface activeint{
    algorithm_id:number,
    algorithm_name:string,
    algorithm_description:string,
    fieldStr:string,
    userStr:string,
    fieldList:FieldInt[],
    useList:UseInt[],
    algorithm_img:string,
    algorithm_coder:string
}
interface addListInt {
    algorithm_name:string,
    algorithm_description:string,
    fieldStr:string,
    userStr:string,
    fieldList:FieldInt[],
    useList:UseInt[],
    algorithm_img:string,
    algorithm_coder:string
}
interface  ListInt{
    field_id:number,
    field_name:string
}
interface useListInt{
    usecase_id:number,
    usecase_name:string
}
interface FieldInt {
    fieldname:String
}
interface UseInt {
    usename:string
}
export class InitData{
    selectData:selectDataInt={
        name:"",
        description:"",
        page:1,
        count:0,
        pagesize:10

    }
    list:ALgorithmInt[]=[]
    isShow=false
    isAddShow=false
    //选中的的对象
    active:activeint={
        algorithm_id:0,
        algorithm_name:"",
        algorithm_description:"",
        fieldStr:"",
        userStr:"",
        fieldList:[],
        useList:[],
        algorithm_img:"",
        algorithm_coder:""
    }
    addList: addListInt = {
        algorithm_name:"",
        algorithm_description:"",
        algorithm_img:"",
        algorithm_coder:"",
        fieldStr:"",
        userStr:"",
        fieldList:[],
        useList:[],
        

    }
    fieldList:ListInt[]=[]
    useList:useListInt[]=[]
}