package com.upsfj.sfjprojectbackend.entity;

import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.OneToMany;
import lombok.Data;
import org.springframework.data.relational.core.mapping.Table;

import java.util.Set;

@Data
@Entity
@Table(name = "sfj_field")
public class Field {
    @Id
    int field_id;
    String field_name;

    @OneToMany(mappedBy = "field")
    Set<AlgorithmField> algorithemFields;
}
