package com.upsfj.sfjprojectbackend.entity;

import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.OneToMany;
import lombok.Data;
import org.springframework.data.relational.core.mapping.Table;

import java.util.Set;

@Data
@Table(name = "sfj_usecase")
@Entity
public class UseCase {
    @Id
    int usecase_id;

    String usecase_name;

    @OneToMany(mappedBy = "usecase")
    Set<AlgorithmUserCase> algorithmUserCases;
}
