package com.upsfj.sfjprojectbackend.mapper;

import com.upsfj.sfjprojectbackend.entity.auth.AccountBean;
import com.upsfj.sfjprojectbackend.entity.user.AccountUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface UserMapper {

    @Select("select * from sfj_account where username = #{text} ")
    AccountUser fingAccountUserByName(String text);


    @Select("select * from sfj_account where username = #{text} or email = #{text}")
    AccountBean findAccountByNameOrEmail(String text);
}
