//定义一个接口用于限制第二页面的数据
export interface data {
    id: number;
    url: string;
    title: string;
    data1:string;
    data2:string;
    data3:string;
}

import anquanmao from '../assets/image/anquanmao.jpg'
import banyi from '../assets/image/banyi.jpg'
import duanxiu from '../assets/image/duanxiu.jpg'
import facesb from '../assets/image/facesb.png'
import fall from '../assets/image/fall.jpg'
import fanguangyi from '../assets/image/fanguangyi.jpg'
import fight from '../assets/image/fight.jpg'
import mask from '../assets/image/mask.jpg'
import sleep from '../assets/image/sleep.jpg'
import smoke from '../assets/image/smoke.jpg'
import tuogang from '../assets/image/tuogang.jpg'
import yanwu from '../assets/image/yanwu.jpg'
import zhuapai from '../assets/image/zhuapai.jpg'
import yiliu from '../assets/image/yiliu.jpg'
import weiting from '../assets/image/weiting.jpg'
import zhandao from '../assets/image/zhandao.jpg'
import redlight from '../assets/image/redlight.jpg'
import helmet from '../assets/image/helmet.jpg'
import chepai from '../assets/image/chepai.jpg'
import trafficbz from '../assets/image/trafficbz.jpg'
import pilao from '../assets/image/pilao.jpg'
import yongdu from '../assets/image/yongdu.jpg'
import chedaoxian from '../assets/image/chedaoxian.jpg'
import gongfu from '../assets/image/gongfu.jpg'
import gaokongpw from '../assets/image/gaokongpw.jpg'
import miehuoqi from '../assets/image/miehuoqi.jpg'
import fire from '../assets/image/fire.jpg'
import bike from '../assets/image/e-bike.jpg'
import climb from '../assets/image/climb.jpg'
import playphone from '../assets/image/playphone.jpg'
import gather from '../assets/image/gather.jpg'
import keliu from '../assets/image/keliu.jpg'
import midu from '../assets/image/midu.jpg'
import paihuai from '../assets/image/paihuai.jpg'
import phone from '../assets/image/phone.jpg'

let data_list:Array<data> = [
    {id:1,url:anquanmao,title:'安全帽识别',data1:'建筑地产',data2:'建筑地产',data3:'建筑地产'},
    {id:2,url:banyi,title:'物品搬移',data1:'建筑地产',data2:'智慧银行',data3:'建筑地产'},
    {id:3,url:duanxiu,title:'短袖短裤识别',data1:'建筑地产',data2:'建筑地产',data3:'建筑地产'},
    {id:4,url:facesb,title:'人脸识别',data1:'建筑地产',data2:'智慧园区',data3:'智慧银行'},
    {id:5,url:fall,title:'摔倒检测',data1:'建筑地产',data2:'建筑地产',data3:'建筑地产'},
    {id:6,url:fanguangyi,title:'反光衣识别',data1:'建筑地产',data2:'建筑地产',data3:'建筑地产'},
    {id:7,url:fight,title:'打架识别',data1:'建筑地产',data2:'建筑地产',data3:'建筑地产'},
    {id:8,url:mask,title:'戴口罩识别',data1:'建筑地产',data2:'建筑地产',data3:'建筑地产'},
    {id:9,url:sleep,title:'睡岗识别',data1:'建筑地产',data2:'智慧园区',data3:'建筑地产'},
    {id:10,url:smoke,title:'抽烟识别',data1:'建筑地产',data2:'智慧园区',data3:'智慧银行'},
    {id:11,url:tuogang,title:'脱岗检测',data1:'建筑地产',data2:'智慧交通',data3:'智慧银行'},
    {id:12,url:yanwu,title:'烟雾识别',data1:'建筑地产',data2:'智慧园区',data3:'智慧零售'},
    {id:13,url:zhuapai,title:'人脸抓拍',data1:'建筑地产',data2:'智慧园区',data3:'智慧银行'},
    {id:14,url:yiliu,title:'物品遗留',data1:'建筑地产',data2:'智慧银行',data3:'建筑地产'},
    {id:15,url:weiting,title:'车辆违停识别',data1:'智慧交通',data2:'智慧交通',data3:'智慧交通'},
    {id:16,url:zhandao,title:'机动车占道识别',data1:'智慧交通',data2:'智慧交通',data3:'智慧交通'},
    {id:17,url:redlight,title:'行人闯红灯识别',data1:'智慧交通',data2:'智慧交通',data3:'智慧交通'},
    {id:18,url:helmet,title:'电动车头盔识别',data1:'智慧交通',data2:'智慧交通',data3:'智慧交通'},
    {id:19,url:chepai,title:'车牌识别',data1:'智慧交通',data2:'智慧交通',data3:'智慧交通'},
    {id:20,url:mask,title:'流量和方向异常检测',data1:'智慧交通',data2:'智慧交通',data3:'智慧交通'},
    {id:21,url:redlight,title:'交通灯识别',data1:'智慧交通',data2:'智慧交通',data3:'智慧交通'},
    {id:22,url:trafficbz,title:'交通标志识别',data1:'智慧交通',data2:'智慧交通',data3:'智慧交通'},
    {id:23,url:pilao,title:'人员疲劳检测',data1:'智慧交通',data2:'智慧交通',data3:'智慧交通'},
    {id:24,url:yongdu,title:'交通拥堵识别',data1:'智慧交通',data2:'智慧交通',data3:'智慧交通'},
    {id:25,url:chedaoxian,title:'车道线',data1:'智慧交通',data2:'智慧交通',data3:'智慧交通'},
    {id:26,url:tuogang,title:'离岗识别',data1:'建筑地产',data2:'智慧交通',data3:'智慧银行'},
    {id:27,url:gongfu,title:'工服识别',data1:'智慧园区',data2:'智慧园区',data3:'智慧园区'},
    {id:28,url:gaokongpw,title:'高空抛物识别',data1:'智慧园区',data2:'智慧园区',data3:'智慧园区'},
    {id:29,url:fire,title:'火焰识别',data1:'智慧园区',data2:'智慧零售',data3:'智慧银行'},
    {id:30,url:bike,title:'电梯间电动车识别',data1:'智慧园区',data2:'智慧园区',data3:'智慧园区'},
    {id:31,url:climb,title:'攀爬识别',data1:'智慧园区',data2:'智慧园区',data3:'智慧园区'},
    {id:32,url:playphone,title:'玩手机检测',data1:'智慧园区',data2:'智慧园区',data3:'智慧园区'},
    {id:33,url:smoke,title:'入侵检测',data1:'智慧园区',data2:'智慧零售',data3:'智慧园区'},
    {id:34,url:gather,title:'聚集发散检测',data1:'智慧园区',data2:'智慧园区',data3:'智慧园区'},
    {id:35,url:miehuoqi,title:'灭火器识别',data1:'智慧园区',data2:'智慧园区',data3:'智慧园区'},
    {id:36,url:gather,title:'聚众检测',data1:'智慧园区',data2:'智慧园区',data3:'智慧园区'},
    {id:37,url:keliu,title:'客流特征识别',data1:'智慧零售',data2:'智慧零售',data3:'智慧零售'},
    {id:38,url:midu,title:'客流密度统计',data1:'智慧零售',data2:'智慧零售',data3:'智慧零售'},
    {id:39,url:keliu,title:'客流统计',data1:'智慧零售',data2:'智慧零售',data3:'智慧零售'},
    {id:40,url:facesb,title:'人员热力图',data1:'智慧零售',data2:'智慧零售',data3:'智慧零售'},
    {id:41,url:fall,title:'跌倒检测',data1:'智慧银行',data2:'智慧银行',data3:'智慧银行'},
    {id:42,url:fight,title:'打架、剧烈运动',data1:'智慧银行',data2:'智慧银行',data3:'智慧银行'},
    {id:43,url:fight,title:'人员尾随识别',data1:'智慧银行',data2:'智慧银行',data3:'智慧银行'},
    {id:44,url:mask,title:'间距异常',data1:'智慧银行',data2:'智慧银行',data3:'智慧银行'},
    {id:45,url:sleep,title:'堵截识别',data1:'智慧银行',data2:'智慧银行',data3:'智慧银行'},
    {id:46,url:smoke,title:'区域入侵、离开',data1:'智慧银行',data2:'智慧银行',data3:'智慧银行'},
    {id:47,url:keliu,title:'人数统计',data1:'智慧银行',data2:'智慧银行',data3:'智慧银行'},
    {id:48,url:gather,title:'区域人数统计',data1:'智慧银行',data2:'智慧银行',data3:'智慧银行'},
    {id:49,url:gather,title:'人员聚集',data1:'智慧零售',data2:'智慧零售',data3:'智慧零售'},
    {id:50,url:gather,title:'多人侦测',data1:'智慧零售',data2:'智慧零售',data3:'智慧零售'},
    {id:51,url:paihuai,title:'徘徊检测',data1:'智慧零售',data2:'智慧零售',data3:'智慧零售'},
    {id:52,url:phone,title:'打电话检测',data1:'智慧零售',data2:'智慧零售',data3:'智慧零售'},
    {id:53,url:fall,title:'表情识别',data1:'智慧银行',data2:'智慧银行',data3:'智慧银行'},
]

export {data_list}